/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* vim: set et sw=2 ts=2: */
/***************************************************************************
 *            fullscreenwidget.h
 *
 *  Tue Aug 24 11:24:00 CEST 2010
 *  Copyright 2010 Bent Bisballe Nyeng
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of PC-Show.
 *
 *  PC-Show is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  PC-Show is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with PC-Show; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#ifndef __PC_SHOW_FULLSCREENWIDGET_H__
#define __PC_SHOW_FULLSCREENWIDGET_H__

#include <QWidget>
#include <QImage>
#include <QPoint>

#include "image.h"

class FullscreenWidget : public QWidget {
public:
  FullscreenWidget(Image *image);

protected:
  void wheelEvent(QWheelEvent *event);
  void mouseMoveEvent(QMouseEvent *event);
  void mousePressEvent(QMouseEvent *event);
  void mouseReleaseEvent(QMouseEvent *event);
  void paintEvent(QPaintEvent *event);
  void keyPressEvent(QKeyEvent *event);
  void leaveEvent(QEvent *event);

private:
  QImage image;
  QImage scaled;
  QPoint offset;
  QPoint delta;
  double scale;
  double scrollSpeed;
  bool draging;
  QPoint startdrag;
};

#endif/*__PC_SHOW_FULLSCREENWIDGET_H__*/
