/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* vim: set et sw=2 ts=2: */
/***************************************************************************
 *            grabber.h
 *
 *  Mon Sep 27 13:36:07 CEST 2010
 *  Copyright 2010 Bent Bisballe Nyeng
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of PC-Show.
 *
 *  PC-Show is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  PC-Show is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with PC-Show; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#ifndef __PC_SHOW_GRABBER_H__
#define __PC_SHOW_GRABBER_H__

#include <QDialog>
#include <QFileSystemWatcher>
#include <QStringList>
#include <QMap>
#include <QString>
#include <QPushButton>

#include "grabberimage.h"

class Grabber : public QDialog {
Q_OBJECT
public:
  Grabber(const QString &path);

protected:
  void paintEvent(QPaintEvent *event);
  void mousePressEvent(QMouseEvent *event);
  void keyPressEvent(QKeyEvent *event);

private slots:
  void directoryChanged(const QString &);
  
public slots:
  void selected(GrabberImage *img);
  void queryDelete();
  void doDelete();
  void doAbort();

private:
  QPushButton *btn_del, *btn_abo;

  QString path;
  QFileSystemWatcher watcher;

  QStringList files;
  QVector<GrabberImage*> images;

  int current;
};

#endif/*__PC_SHOW_GRABBER_H__*/
