/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* vim: set et sw=2 ts=2: */
/***************************************************************************
 *            image.h
 *
 *  Wed Oct  6 13:54:24 CEST 2010
 *  Copyright 2010 Bent Bisballe Nyeng
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of PC-Show.
 *
 *  PC-Show is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  PC-Show is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with PC-Show; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#ifndef __PC_SHOW_IMAGE_H__
#define __PC_SHOW_IMAGE_H__

#include <QObject>
#include <QString>
#include <QImage>
#include <QVector>
#include <QMutex>

class Image : public QObject {
Q_OBJECT
public:
  Image(const QString &path, const QString &file);
  ~Image();

  QImage get(int w, int h);
  QImage image;

  QString filename();

  void load();

  QMutex mutex;

signals:
  void loaded();
  void unloading();
  void nameChanged();

public slots:
  void remove();
  void rename(const QString &newfilename);
  void copy(const QString &dst);
  void move(const QString &dst);
  void unload();
  void stopLoading();

private:
  QString file;
  QString path;
};

typedef QVector<Image *> ImageList;

#endif/*__PC_SHOW_IMAGE_H__*/
