/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* vim: set et sw=2 ts=2: */
/***************************************************************************
 *            imageloader.cc
 *
 *  Mon Oct 11 19:05:56 CEST 2010
 *  Copyright 2010 Bent Bisballe Nyeng
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of PC-Show.
 *
 *  PC-Show is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  PC-Show is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with PC-Show; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#include "imageloader.h"

ImageLoader::ImageLoader()
{
  //  sem.acquire();
  start();
}

void ImageLoader::run()
{
  while(true) {
    sem.acquire();
    mutex.lock();
    loadmutex.lock();
    Image *image = NULL;

    if(images.size()) {
       image = images.front();
       images.pop_front();
    }

    mutex.unlock();
    if(image) image->load();
    loadmutex.unlock();

  }
}

void ImageLoader::scheduleImage(Image *image)
{
  mutex.lock();
  images.push_back(image);
  sem.release();
  mutex.unlock();
}

void ImageLoader::clearAll()
{
  mutex.lock();
  loadmutex.lock();
  images.clear();
  loadmutex.unlock();
  mutex.unlock();
}

ImageLoader *imageloader = NULL;
