/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* vim: set et sw=2 ts=2: */
/***************************************************************************
 *            renamebox.cc
 *
 *  Fri Oct  1 10:07:16 CEST 2010
 *  Copyright 2010 Bent Bisballe Nyeng
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of PC-Show.
 *
 *  PC-Show is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  PC-Show is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with PC-Show; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#include "renamebox.h"

#include <QLabel>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QPushButton>

RenameBox::RenameBox(QString old)
{
  QVBoxLayout *lv = new QVBoxLayout();
  setLayout(lv);
  lv->addWidget(new QLabel(tr("Enter new filename")));
  edt = new QLineEdit(old);
  lv->addWidget(edt);
  
  QHBoxLayout *lh = new QHBoxLayout();
  lh->addSpacing(0);
  
  QPushButton *btn = new QPushButton(tr("Ok"));
  connect(btn, SIGNAL(clicked()), this, SLOT(accept()));
  lh->addWidget(btn);
  btn = new QPushButton(tr("Cancel"));
  connect(btn, SIGNAL(clicked()), this, SLOT(reject()));
  lh->addWidget(btn);
  
  lv->addLayout(lh);
}

QString RenameBox::filename()
{
  return edt->text();
}
