/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* vim: set et sw=2 ts=2: */
/***************************************************************************
 *            vieweritem.h
 *
 *  Mon Aug 23 21:02:15 CEST 2010
 *  Copyright 2010 Bent Bisballe Nyeng
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of PC-Show.
 *
 *  PC-Show is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  PC-Show is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with PC-Show; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#ifndef __PC_SHOW_VIEWERITEM_H__
#define __PC_SHOW_VIEWERITEM_H__

#include <QWidget>
#include <QString>
#include <QLabel>
#include <QMenu>

#include "imagewidget.h"

class ViewerItem : public QWidget {
Q_OBJECT
public:
  ViewerItem(Image *image, QMenu *filemenu);

  Image *image();

  void setSelected(bool sel);

protected:
  void mousePressEvent(QMouseEvent *event);
                            
public slots:
  void showFullscreen();
  void removeSelf();
  void select();
  void deleted();
  void updateName();

signals:
  void remove(Image *image);
  void selected(ViewerItem *item);

private:
  QMenu *filemenu;
  ImageWidget *img;
  bool sel;
  QLabel *lbl;
};

#endif/*__PC_SHOW_VIEWERITEM_H__*/
